from peewee import *

db = SqliteDatabase(None)

class BaseModel(Model):
    class Meta:
        database = db

class Feeds(BaseModel):
    url = CharField()
    pnut_uid = CharField()

class Entries(BaseModel):
    feedid = IntegerField()
    link = CharField()

class User(BaseModel):
    pnut_uid = CharField(unique=True)
    pnut_token = CharField(null=True)
    pnut_enabled = BooleanField(default=False)

class System(BaseModel):
    key = CharField(unique=True)
    value = CharField()

def create_tables():
    with db:
        db.create_tables([Feeds, Entries, User, System])

